/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.dao.hibernate;

import com.rjconsultores.ventaboletos.dao.ComisionistaExternoDAO;
import com.rjconsultores.ventaboletos.entidad.ComisionistaExterno;
import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Order;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

/**
 *
 * @author Administrador
 */
@Repository("comisionistaExternoDAO")
public class ComisionistaExternoHibernateDAO extends GenericHibernateDAO<ComisionistaExterno, Integer>
        implements ComisionistaExternoDAO {

    @Autowired
    public ComisionistaExternoHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
        setSessionFactory(factory);
    }

    @Override
    public List<ComisionistaExterno> obtenerTodos() {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));
        c.addOrder(Order.asc("desccomisionista"));

        return c.list();
    }

    public List<ComisionistaExterno> buscar(String desccomisionista) {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));
        c.add(Restrictions.eq("desccomisionista", desccomisionista));

        c.addOrder(Order.asc("desccomisionista"));

        return c.list();
    }
}
